#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from zope.interface import Interface

from onf_website.shared.common.skin.interfaces import ICustomContentHeaderRenderer
from onf_website.skin.public.layer import IONFBaseLayer
from pyams_default_theme.shared.common.portlet.head import SharedContentHeaderPortletRenderer
from pyams_template.template import override_template
from pyams_viewlet.viewlet import ViewContentProvider, contentprovider_config


override_template(context=SharedContentHeaderPortletRenderer,
                  template='templates/head.pt', layer=IONFBaseLayer)


@contentprovider_config(name='onf_website.custom_header', layer=IONFBaseLayer, view=Interface)
class CustomContentHeaderContentProvider(ViewContentProvider):
    """Custom content header"""

    renderer = None

    def update(self):
        super(CustomContentHeaderContentProvider, self).update()
        registry = self.request.registry
        self.renderer = renderer = registry.queryMultiAdapter((self.context, self.request, self.view),
                                                              ICustomContentHeaderRenderer)
        if renderer is not None:
            renderer.update()

    def render(self):
        return '' if self.renderer is None else self.renderer.render()
